/*******************************************************************************
* File Name: LcdChar_LCDPort.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LcdChar_LCDPort_ALIASES_H) /* Pins LcdChar_LCDPort_ALIASES_H */
#define CY_PINS_LcdChar_LCDPort_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define LcdChar_LCDPort_0			(LcdChar_LCDPort__0__PC)
#define LcdChar_LCDPort_0_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__0__SHIFT))

#define LcdChar_LCDPort_1			(LcdChar_LCDPort__1__PC)
#define LcdChar_LCDPort_1_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__1__SHIFT))

#define LcdChar_LCDPort_2			(LcdChar_LCDPort__2__PC)
#define LcdChar_LCDPort_2_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__2__SHIFT))

#define LcdChar_LCDPort_3			(LcdChar_LCDPort__3__PC)
#define LcdChar_LCDPort_3_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__3__SHIFT))

#define LcdChar_LCDPort_4			(LcdChar_LCDPort__4__PC)
#define LcdChar_LCDPort_4_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__4__SHIFT))

#define LcdChar_LCDPort_5			(LcdChar_LCDPort__5__PC)
#define LcdChar_LCDPort_5_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__5__SHIFT))

#define LcdChar_LCDPort_6			(LcdChar_LCDPort__6__PC)
#define LcdChar_LCDPort_6_INTR	((uint16)((uint16)0x0001u << LcdChar_LCDPort__6__SHIFT))

#define LcdChar_LCDPort_INTR_ALL	 ((uint16)(LcdChar_LCDPort_0_INTR| LcdChar_LCDPort_1_INTR| LcdChar_LCDPort_2_INTR| LcdChar_LCDPort_3_INTR| LcdChar_LCDPort_4_INTR| LcdChar_LCDPort_5_INTR| LcdChar_LCDPort_6_INTR))

#endif /* End Pins LcdChar_LCDPort_ALIASES_H */


/* [] END OF FILE */
